#
# spec file for package rubygem-spring
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-spring
Version:        1.4.0
Release:        4.3
%define mod_name spring
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/rails/spring
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rails application preloader
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Preloads your application so things like console, rake and tests run faster.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Sun Sep 13 2015 coolo@suse.com
- updated to version 1.4.0
  no changelog found
* Sat May  9 2015 coolo@suse.com
- updated to version 1.3.6
  no changelog found
* Thu Apr 30 2015 coolo@suse.com
- updated to version 1.3.5
  no changelog found
* Thu Apr  9 2015 coolo@suse.com
- updated to version 1.3.4, changelog is gone
* Fri Feb 27 2015 coolo@suse.com
- updated to version 1.3.3
  * Fix yet another problem with loading spring which seems to affect
  some/all rbenv users. Issue #390.
* Sun Feb 15 2015 coolo@suse.com
- updated to version 1.3.2
  * Fix another problem with gems bundled from git repositories.
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.3.1
  * Fix a problem with gems bundled from a git repository, where the
  `bin/spring` was generated before 1.3.0.
  [#]# 1.3.0
  * Automatically restart spring after new commands are added. This means
  that you can add spring-commands-rspec to your Gemfile and then
  immediately start using it, without having to run `spring stop`.
  (Spring will effectively run `spring stop` for you.)
  * Make app reloading work in apps which spew out lots of output on
  startup (previously a buffer would fill up and cause the process to
  hang). Issue #332.
  * Make sure running `bin/spring` does not add an empty string to `Gem.path`.
  Issues #297, #310.
  * Fixed problem with `$0` including the command line args, which could
  confuse commands which try to parse `$0`. This caused the
  spring-commands-rspec to not work properly in some cases. Issue #369.
  * Add OpenBSD compatibility for `spring status`. Issue #299.
  * Rails 3.2 no longer officially supported (but it may continue to work)
  [#]# 1.2.0
  * Accept -e and --environment options for `rails console`.
  * Watch `config/secrets.yml` by default. #289 - @morgoth
  * Change monkey-patched `Kernel.raise` from public to private (to match default Ruby behavior) #351 - @mattbrictson
  * Let application_id also respect RUBY_VERSION for the use case of switching between Ruby versions for a given Rails app - @methodmissing
  * Extract the 'listen' watcher to a separate `spring-watcher-listen`
  gem. This allows it to be developed/maintained separately.
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 1.1.3
  * The `rails runner` command no longer passes environment switches to
  files which it runs. Issue #272.
  * Various issues solved to do with termination / processes hanging around
  longer than they should. Issue #290.
* Sat Apr 12 2014 coolo@suse.com
- initial package
